for _, tree in pairs(data.raw.tree) do
  if string.find(tree.name, "rubber", 1, true) then
    tree.autoplace.tile_restriction = alien_biomes.list_tiles(alien_biomes.require_tag(alien_biomes.all_tiles(), {"grass"}))
  end
end
